Browse endpoints

Update user

PATCH /api/v1/users/{user_uuid} operationId: user.patch

Base: https://portal.watcheye.com.au/api/v1/users/{user_uuid}

Update a single user by UUID.

The update user record is returned in the response.

Parameters

The following parameters can be updated:

  • enabled: Whether the user is enabled

Path parameters

FieldDescription
user_uuid string (uuid)

The user UUID

Example: 123e4567-e89b-12d3-a456-426614174000

Request body

Content type application/json. The user details to update

FieldDescription
enabled boolean

Update the user's enabled status

  • true - The user is enabled
  • false - The user is disabled

Note: The API will accept the string 'true' or the number 1 for true and the string 'false' or the number 0 for false as well as the boolean values.

Example: true

Responses

200

User response

application/json
FieldDescription
data object

The user details after the update

data.uuid string (uuid)

The user's UUID

Example: 123e4567-e89b-12d3-a456-426614174000

data.username string

The user's username

Example: jenny.doe@example

data.first_name string

The user's first name

Example: Jenny

data.last_name string

The user's last name

Example: Doe

data.email string

The user's email address

Example: jenny.doe@example.com

data.phone string

The user's phone number

Example: 0412345678

data.enabled boolean

Whether the user is enabled

Example: true

data.roles array of strings

The user's roles

  • account_manager - Account Manager
  • security_manager - Security Functions (update SAML settings and related security settings)
  • vpn_access - VPN Access (Permits access from known VPN connections)

Note: This will be an empty array if the user has no special roles assigned to them.

data.last_login_at string (date-time) or null

The user's last login timestamp (ISO 8601 format)

Example: 2021-01-01T00:00:00Z

data.created_at string (date-time)

The user's creation timestamp (ISO 8601 format)

Example: 2021-01-01T00:00:00Z

data.updated_at string (date-time)

The user's last update timestamp (ISO 8601 format)

Example: 2021-01-01T00:00:00Z

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request in the logs and audit trail.

Example: 123e4567-e89b-12d3-a456-426614174000

Standard error responses: 400 401 402 403 429 5XX See common error responses